Skip to main content
Resource Center/CloudFormation Operations

CheckStackTemplateParameters

CheckStackTemplateParameters

POST/zstack/v1/cloudformation/stack/check

Operation ID

CheckStackTemplateParameters

Since

2.5.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • type
      String

      Optional. The template type. Default type: zstack.

    • templateContent
      String

      Optional. The template content, which is a JSON string.

    • uuid
      StringRequired

      The template UUID.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • parametes
    ListRequired

    See parametes.

    • paramName
      StringRequired

      The parameter name.

    • type
      StringRequired

      The parameter type.

    • defaultValue
      StringRequired

      The default value.

    • description
      StringRequired

      The detailed description of the resource.

    • noEcho
      BooleanRequired

      Whether to mask the parameter value to prevent it from being displayed in the console, command line tools, or API.

    • label
      StringRequired

      Specifies a name or description for a parameter that the frontend displays.

    • constraintDescription
      StringRequired

      Explains a constraint when the constraint is violated. If the verification fails, the corresponding content is returned.

    • resourceType
      StringRequired

      The type of a resource referenced by the event returned if the parameter is the ZStack resource. When the resource type cannot be determined, null is returned.